Bug 33511 - [PATCH] Upgrade libesmtp to 0.8.9
Summary: [PATCH] Upgrade libesmtp to 0.8.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-01-03 15:50 UTC by John Merryweather Cooper
Modified: 2002-01-22 16:43 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2002-01-03 15:50:01 UTC
Major change since 0.8.8 is dropping primary support for libltdl.  This 
is no longer included in the tarball and libltdl is now used only if 
the platform does not supply dlopen/sym/close.  For most users this 
change removes a dependency making life easier for them.

There is also partial support for the non-standard and undocumented 
AUTH= syntax for SMTP authentication.  This may help those who are 
stuck with incorrectly implemented MTAs such as the qmail+auth patch 
used by Yahoo! (shame on them).  Use configure --enable-nsauth if you 
need this.

Fix: Summary of changed files:

# 'libesmtp.new/Makefile'                |    0 
# 'libesmtp.new/distinfo'                |    0 
# 'libesmtp.new/files/patch-config.h.in' |    0 
# ./Makefile                             |   10 ++++------
# ./distinfo                             |    2 +-
# ./files/patch-config.h.in              |    8 ++++++++
# 6 files changed, 13 insertions(+), 7 deletions(-)


The patch:

# This is a patch for libesmtp to update it to libesmtp.new
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# If you have a decent Bourne-type shell:
# STEP 2: Run the shell with this file as input.
# If you don't have such a shell, you may need to manually create/delete
# the files as shown below.
# STEP 3: Run the 'patch' program with this file as input.
#
# These are the commands needed to create/delete files/directories:
#
rm -f 'files/patch-ltmain.sh'
touch 'files/patch-config.h.in'
chmod 0644 'files/patch-config.h.in'
#
# This command terminates the shell and need not be executed manually.
exit
#
#### End of Preamble ####

#### Patch data follows ####


#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Thu Jan  3 07:30:05 2002
# Generated by        : makepatch 2.00
# Recurse directories : Yes
# r 'files/patch-ltmain.sh' 881 0
# p 'Makefile' 1179 1010070729 0100644
# p 'distinfo' 64 1010068937 0100644
# c 'files/patch-config.h.in' 0 1010070407 0100644
#### End of ApplyPatch data ####

#### End of Patch kit [created: Thu Jan  3 07:30:05 2002] ####
#### Checksum: 104 3483 5837 ####--AMdgn3BBvSXDHUS7dpbW9eHFl1XmnpE7pbp8gEIxdPxSPyzU
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -u 'libesmtp/Makefile' 'libesmtp.new/Makefile'
Index: ./Makefile
--- ./Makefile	Wed Dec 12 15:44:41 2001
+++ ./Makefile	Thu Jan  3 07:12:09 2002
@@ -2,10 +2,10 @@
 # Date created:         Sun Feb 21 2001
 # Whom:                 tobez@tobez.org
 #
-# $FreeBSD: ports/mail/libesmtp/Makefile,v 1.13 2001/12/12 19:43:15 ijliao Exp $
+# $FreeBSD$
 
 PORTNAME=	libesmtp
-PORTVERSION=	0.8.8
+PORTVERSION=	0.8.9
 CATEGORIES=	mail
 MASTER_SITES=	http://www.stafford.uklinux.net/libesmtp/ \
 		http://www.tobez.org/download/port-mirrors/mail/libesmtp/ \
@@ -16,17 +16,15 @@
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_OPENSSL=	yes
-USE_LIBTOOL=	yes
+GNU_CONFIGURE=	yes
 INSTALLS_SHLIB=	yes
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		PTHREAD_LIBS="${PTHREAD_LIBS}" \
 		PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
 		LIBS="-L${LOCALBASE}/lib"
 
-# require-all-recipients (implied by enable-all) is required for Balsa-1.2.x
+# require-all-recipients (implied by enable-all) is required for Balsa-1.3.x
 CONFIGURE_ARGS=	--enable-all
-pre-build:
-	@${CP} ${WRKSRC}/libltdl/libtool ${WRKSRC}/libtool
 
 post-install:
 .ifndef(NOPORTDOCS)
diff -u 'libesmtp/distinfo' 'libesmtp.new/distinfo'
Index: ./distinfo
--- ./distinfo	Wed Dec 12 15:44:41 2001
+++ ./distinfo	Thu Jan  3 06:42:17 2002
@@ -1 +1 @@
-MD5 (libesmtp-0.8.8.tar.bz2) = 6dc3102123e825bc49cc8050f316ba50
+MD5 (libesmtp-0.8.9.tar.bz2) = 546e765b3809f2704e50a9cc03301657
diff -u /dev/null 'libesmtp.new/files/patch-config.h.in'
Index: ./files/patch-config.h.in
--- ./files/patch-config.h.in	Wed Dec 31 16:00:00 1969
+++ ./files/patch-config.h.in	Thu Jan  3 07:06:47 2002
@@ -0,0 +1,10 @@
+--- config.h.in	Wed Jan  2 08:45:10 2002
++++ config.h.in.new	Thu Jan  3 07:06:23 2002
+@@ -163,6 +163,7 @@
+ /* strerror_r works! */
+ #undef HAVE_WORKING_STRERROR_R
+ 
++#include <stdlib.h>
+ 
+ #ifndef HAVE_STRCASECMP
+ int strcasecmp (const char *a, const char *b);
#### End of Patch data ####
How-To-Repeat: 	N/A
Comment 1 Anton Berezin freebsd_committer 2002-01-22 16:37:07 UTC
State Changed
From-To: open->closed

Update committed, thanks!